# Class EmpiricalPhasingMetricsOutReader

java.lang.Object
picard.illumina.parser.readers.EmpiricalPhasingMetricsOutReader

All Implemented Interfaces:
  `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`

public class EmpiricalPhasingMetricsOutReader extends Object implements Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics`

## Constructor Summary

Constructors
Constructor
Description
`EmpiricalPhasingMetricsOutReader(File phasingMetricsOutFile)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics`
`next()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterator

`forEachRemaining, remove`

## Constructor Details

### EmpiricalPhasingMetricsOutReader

public EmpiricalPhasingMetricsOutReader(File phasingMetricsOutFile)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`

### next

public EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics next()

Specified by:
  `next` in interface `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`